scala.tools.nsc

# Properties

###
Related Doc: package nsc

#### object Properties extends PropertiesTrait

Loads `compiler.properties` from the jar archive file.

Source
  Properties.scala

Linear Supertypes
PropertiesTrait, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Properties
2. PropertiesTrait
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

5. #### def clearProp(name: String): String

   Definition Classes
     PropertiesTrait

6. #### def clone(): AnyRef

   Create a copy of the receiver object.

   Create a copy of the receiver object.

   The default implementation of the `clone` method is platform dependent.

   returns

     a copy of the receiver object.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
   Note

     not specified by SLS as a member of AnyRef

7. #### val copyrightString: String

   Definition Classes
     PropertiesTrait

8. #### val developmentVersion: Option[String]

   Definition Classes
     PropertiesTrait

9. #### def encodingString: String

   Definition Classes
     PropertiesTrait

10. #### def envOrElse(name: String, alt: String): String

    Definition Classes
      PropertiesTrait

11. #### def envOrNone(name: String): Option[String]

    Definition Classes
      PropertiesTrait

12. #### def envOrSome(name: String, alt: Option[String]): Option[String]

    Definition Classes
      PropertiesTrait

13. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

16. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

17. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

18. #### def isEmacsShell: Boolean

19. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

20. #### def isJavaAtLeast(version: String): Boolean

    Definition Classes
      PropertiesTrait

21. #### def isMac: Boolean

    Definition Classes
      PropertiesTrait

22. #### def isWin: Boolean

    Definition Classes
      PropertiesTrait

23. #### def javaClassPath: String

    Definition Classes
      PropertiesTrait

24. #### def javaHome: String

    Definition Classes
      PropertiesTrait

25. #### def javaSpecName: String

    Definition Classes
      PropertiesTrait

26. #### def javaSpecVendor: String

    Definition Classes
      PropertiesTrait

27. #### def javaSpecVersion: String

    Definition Classes
      PropertiesTrait

28. #### def javaVendor: String

    Definition Classes
      PropertiesTrait

29. #### def javaVersion: String

    Definition Classes
      PropertiesTrait

30. #### def javaVmInfo: String

    Definition Classes
      PropertiesTrait

31. #### def javaVmName: String

    Definition Classes
      PropertiesTrait

32. #### def javaVmVendor: String

    Definition Classes
      PropertiesTrait

33. #### def javaVmVersion: String

    Definition Classes
      PropertiesTrait

34. #### def jdkHome: String

    Definition Classes
      PropertiesTrait

35. #### def lineSeparator: String

    Definition Classes
      PropertiesTrait

36. #### def main(args: Array[String]): Unit

    Definition Classes
      PropertiesTrait

37. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

38. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

39. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

40. #### def osName: String

    Definition Classes
      PropertiesTrait

41. #### def pickJarBasedOn: Class[Global]

    Attributes
      protected
    Definition Classes
      Properties → PropertiesTrait

42. #### def propCategory: String

    Attributes
      protected
    Definition Classes
      Properties → PropertiesTrait

43. #### val propFilename: String

    Attributes
      protected
    Definition Classes
      PropertiesTrait

44. #### def propIsSet(name: String): Boolean

    Definition Classes
      PropertiesTrait

45. #### def propIsSetTo(name: String, value: String): Boolean

    Definition Classes
      PropertiesTrait

46. #### def propOrElse(name: String, alt: String): String

    Definition Classes
      PropertiesTrait

47. #### def propOrEmpty(name: String): String

    Definition Classes
      PropertiesTrait

48. #### def propOrFalse(name: String): Boolean

    Definition Classes
      PropertiesTrait

49. #### def propOrNone(name: String): Option[String]

    Definition Classes
      PropertiesTrait

50. #### def propOrNull(name: String): String

    Definition Classes
      PropertiesTrait

51. #### val releaseVersion: Option[String]

    Definition Classes
      PropertiesTrait

52. #### def residentPromptString: String

53. #### def scalaCmd: String

    Definition Classes
      PropertiesTrait

54. #### def scalaHome: String

    Definition Classes
      PropertiesTrait

55. #### def scalaPropOrElse(name: String, alt: String): String

    Definition Classes
      PropertiesTrait

56. #### def scalaPropOrEmpty(name: String): String

    Definition Classes
      PropertiesTrait

57. #### def scalaPropOrNone(name: String): Option[String]

    Definition Classes
      PropertiesTrait

58. #### lazy val scalaProps: java.util.Properties

    Attributes
      protected
    Definition Classes
      PropertiesTrait

59. #### def scalacCmd: String

    Definition Classes
      PropertiesTrait

60. #### def setProp(name: String, value: String): String

    Definition Classes
      PropertiesTrait

61. #### def shellInterruptedString: String

62. #### def shellPromptString: String

63. #### def sourceEncoding: String

    Definition Classes
      PropertiesTrait

64. #### def sourceReader: String

    Definition Classes
      PropertiesTrait

65. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

66. #### def tmpDir: String

    Definition Classes
      PropertiesTrait

67. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

68. #### def userDir: String

    Definition Classes
      PropertiesTrait

69. #### def userHome: String

    Definition Classes
      PropertiesTrait

70. #### def userName: String

    Definition Classes
      PropertiesTrait

71. #### def versionMsg: String

    Definition Classes
      PropertiesTrait

72. #### def versionNumberString: String

    Definition Classes
      PropertiesTrait

73. #### val versionString: String

    Definition Classes
      PropertiesTrait

74. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

75. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

76. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from PropertiesTrait

### Inherited from AnyRef

### Inherited from Any

### Ungrouped